Skip to content

/api/v1/portal/catalogs/create

POST
/api/v1/portal/catalogs/create
curl --request POST \
--url https://example.com/api/v1/portal/catalogs/create \
--header 'Content-Type: application/json' \
--data '{ "title": "example", "description": "example", "parentId": "example", "links": [ { "title": "example", "href": "example", "rel": "example", "type": "example", "targetType": "example", "linkJson": {} } ] }'
Media type application/json
object
title
required
string
>= 1 characters <= 140 characters
description
required
string
>= 1 characters <= 1000 characters
parentId
string
links
required
Array<object>
object
title
required
string
>= 1 characters <= 140 characters
href
required
string
>= 1 characters <= 2048 characters
rel
required
string
>= 1 characters <= 140 characters
type
required
string
>= 1 characters <= 140 characters
targetType
required
string
>= 1 characters <= 140 characters
linkJson
required
object
Example generated
{
"title": "example",
"description": "example",
"parentId": "example",
"links": [
{
"title": "example",
"href": "example",
"rel": "example",
"type": "example",
"targetType": "example",
"linkJson": {}
}
]
}

Default Response

Media type application/json
object
portalItemId
required
string
Example generated
{
"portalItemId": "example"
}

Default Response

Media type application/json
object
message
required
string
Example generated
{
"message": "example"
}

Default Response

Media type application/json
object
message
required
string
Example generated
{
"message": "example"
}